Package com.ocient.jdbc.proto

# Enum PlanProtocol.Operator.OperatorType

java.lang.Object
java.lang.Enum<PlanProtocol.Operator.OperatorType>
com.ocient.jdbc.proto.PlanProtocol.Operator.OperatorType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.Operator.OperatorType>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.Operator

    public static enum PlanProtocol.Operator.OperatorType
    extends Enum<PlanProtocol.Operator.OperatorType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.Operator.OperatorType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`AGGREGATION_OPERATOR` | `AGGREGATION_OPERATOR = 2;`
`AVG_COL_SIZE_VIRTUAL_OPERATOR` | `AVG_COL_SIZE_VIRTUAL_OPERATOR = 51;`
`BROADCAST_OPERATOR` | `BROADCAST_OPERATOR = 34;`
`BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR` | `BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR = 105;`
`BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR` | `BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR = 104;`
`CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR` | `CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR = 101;`
`CHASSIS_MODELS_VIRTUAL_OPERATOR` | `CHASSIS_MODELS_VIRTUAL_OPERATOR = 100;`
`CLUSTERS_VIRTUAL_OPERATOR` | `CLUSTERS_VIRTUAL_OPERATOR = 67;`
`COL_CARD_VIRTUAL_OPERATOR` | `COL_CARD_VIRTUAL_OPERATOR = 50;`
`COL_DIST_VIRTUAL_OPERATOR` | `COL_DIST_VIRTUAL_OPERATOR = 79;`
`COLUMN_EMITTER_OPERATOR` | `COLUMN_EMITTER_OPERATOR = 24;`
`COLUMNS_VIRTUAL_OPERATOR` | `COLUMNS_VIRTUAL_OPERATOR = 62;`
`COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR` | `COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR = 109;`
`CPU_MODELS_VIRTUAL_OPERATOR` | `CPU_MODELS_VIRTUAL_OPERATOR = 92;`
`DATA_CENTERS_VIRTUAL_OPERATOR` | `DATA_CENTERS_VIRTUAL_OPERATOR = 73;`
`DATABASES_VIRTUAL_OPERATOR` | `DATABASES_VIRTUAL_OPERATOR = 55;`
`EOS_OPERATOR` | `EOS_OPERATOR = 31;`
`ERROR_OPERATOR` | `ERROR_OPERATOR = 36;`
`EXCEPT_OPERATOR` | `EXCEPT_OPERATOR = 27;`
`EXTEND_OPERATOR` | `EXTEND_OPERATOR = 3;`
`EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR` | `EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR = 98;`
`GATHER_OPERATOR` | `GATHER_OPERATOR = 4;`
`GDC_LOOKUP_OP` | `GDC_LOOKUP_OP = 43;`
`GENERATE_OPERATOR` | `GENERATE_OPERATOR = 20;`
`GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR` | `GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR = 61;`
`GROUP_DATABASES_VIRTUAL_OPERATOR` | `GROUP_DATABASES_VIRTUAL_OPERATOR = 58;`
`GROUP_ROLES_VIRTUAL_OPERATOR` | `GROUP_ROLES_VIRTUAL_OPERATOR = 53;`
`GROUPS_VIRTUAL_OPERATOR` | `GROUPS_VIRTUAL_OPERATOR = 46;`
`HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR` | `HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR = 99;`
`HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR` | `HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR = 106;`
`HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR` | `HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR = 107;`
`HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR` | `HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR = 108;`
`HASH_JOIN_OPERATOR` | `HASH_JOIN_OPERATOR = 30;`
`HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR` | `HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR = 103;`
`INCREMENTING_BIGINT_OPERATOR` | `INCREMENTING_BIGINT_OPERATOR = 41;`
`INCREMENTING_INT_OPERATOR` | `INCREMENTING_INT_OPERATOR = 19;`
`INDEX_AGG_OPERATOR` | `INDEX_AGG_OPERATOR = 37;`
`INDEX_COLUMNS_VIRTUAL_OPERATOR` | `INDEX_COLUMNS_VIRTUAL_OPERATOR = 66;`
`INDEX_COUNT_STAR_OPERATOR` | `INDEX_COUNT_STAR_OPERATOR = 42;`
`INDEX_DISTINCT_OPERATOR` | `INDEX_DISTINCT_OPERATOR = 39;`
`INDEX_OPERATOR` | `INDEX_OPERATOR = 5;`
`INDEXES_VIRTUAL_OPERATOR` | `INDEXES_VIRTUAL_OPERATOR = 63;`
`INTERSECT_OPERATOR` | `INTERSECT_OPERATOR = 26;`
`INVALID` | `INVALID = 0;`
`LIMIT_OPERATOR` | `LIMIT_OPERATOR = 6;`
`LTS_CLUSTER_INFO_VIRTUAL_OPERATOR` | `LTS_CLUSTER_INFO_VIRTUAL_OPERATOR = 69;`
`MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR` | `MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR = 87;`
`MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR` | `MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR = 81;`
`MAKE_VECTOR_OPERATOR` | `MAKE_VECTOR_OPERATOR = 15;`
`MATRIX_EXTEND_OPERATOR` | `MATRIX_EXTEND_OPERATOR = 17;`
`MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR` | `MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR = 80;`
`MODIFY_SCHEMA_OPERATOR` | `MODIFY_SCHEMA_OPERATOR = 44;`
`MOTHERBOARD_MODELS_VIRTUAL_OPERATOR` | `MOTHERBOARD_MODELS_VIRTUAL_OPERATOR = 89;`
`MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR` | `MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR = 86;`
`MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR` | `MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 83;`
`NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR` | `NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR = 95;`
`NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR` | `NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR = 97;`
`NODE_CHASSIS_VIRTUAL_OPERATOR` | `NODE_CHASSIS_VIRTUAL_OPERATOR = 85;`
`NODE_CLUSTERS_VIRTUAL_OPERATOR` | `NODE_CLUSTERS_VIRTUAL_OPERATOR = 71;`
`NODE_CPUS_VIRTUAL_OPERATOR` | `NODE_CPUS_VIRTUAL_OPERATOR = 91;`
`NODE_MEMORY_MODULES_VIRTUAL_OPERATOR` | `NODE_MEMORY_MODULES_VIRTUAL_OPERATOR = 94;`
`NODE_MOTHERBOARDS_VIRTUAL_OPERATOR` | `NODE_MOTHERBOARDS_VIRTUAL_OPERATOR = 88;`
`NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR` | `NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR = 96;`
`NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR` | `NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR = 90;`
`NODES_VIRTUAL_OPERATOR` | `NODES_VIRTUAL_OPERATOR = 70;`
`OFFSET_OPERATOR` | `OFFSET_OPERATOR = 7;`
`ORDERED_AGG_OPERATOR` | `ORDERED_AGG_OPERATOR = 38;`
`ORDERED_DISTINCT_OPERATOR` | `ORDERED_DISTINCT_OPERATOR = 40;`
`ORDERED_GATHER_OPERATOR` | `ORDERED_GATHER_OPERATOR = 8;`
`PRODUCT_OPERATOR` | `PRODUCT_OPERATOR = 29;`
`PROJECT_OUT_OPERATOR` | `PROJECT_OUT_OPERATOR = 9;`
`QUERIES_VIRTUAL_OPERATOR` | `QUERIES_VIRTUAL_OPERATOR = 22;`
`RACKS_VIRTUAL_OPERATOR` | `RACKS_VIRTUAL_OPERATOR = 74;`
`RANDOM_INT_OPERATOR` | `RANDOM_INT_OPERATOR = 23;`
`REFERENCE` | `REFERENCE = 1;`
`RENAME_OPERATOR` | `RENAME_OPERATOR = 10;`
`REORDER_OPERATOR` | `REORDER_OPERATOR = 11;`
`RIGHTS_VIRTUAL_OPERATOR` | `RIGHTS_VIRTUAL_OPERATOR = 72;`
`ROLE_DATABASES_VIRTUAL_OPERATOR` | `ROLE_DATABASES_VIRTUAL_OPERATOR = 59;`
`ROLES_VIRTUAL_OPERATOR` | `ROLES_VIRTUAL_OPERATOR = 47;`
`ROOT_OPERATOR` | `ROOT_OPERATOR = 14;`
`SEGMENT_GROUPS_VIRTUAL_OPERATOR` | `SEGMENT_GROUPS_VIRTUAL_OPERATOR = 75;`
`SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR` | `SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR = 64;`
`SEGMENTS_VIRTUAL_OPERATOR` | `SEGMENTS_VIRTUAL_OPERATOR = 76;`
`SELECT_OPERATOR` | `SELECT_OPERATOR = 12;`
`SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR` | `SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR = 102;`
`SERVICE_ROLES_VIRTUAL_OPERATOR` | `SERVICE_ROLES_VIRTUAL_OPERATOR = 84;`
`SHUFFLE_OPERATOR` | `SHUFFLE_OPERATOR = 33;`
`SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR` | `SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 82;`
`SORT_OPERATOR` | `SORT_OPERATOR = 13;`
`STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR` | `STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR = 93;`
`STORAGE_SPACES_VIRTUAL_OPERATOR` | `STORAGE_SPACES_VIRTUAL_OPERATOR = 65;`
`STORED_SEGMENTS_VIRTUAL_OPERATOR` | `STORED_SEGMENTS_VIRTUAL_OPERATOR = 77;`
`SUPER_SELECT_OPERATOR` | `SUPER_SELECT_OPERATOR = 21;`
`SWITCH_OPERATOR` | `SWITCH_OPERATOR = 28;`
`SYSTEM_INFORMATION_VIRTUAL_OPERATOR` | `SYSTEM_INFORMATION_VIRTUAL_OPERATOR = 78;`
`TABLE_CARD_VIRTUAL_OPERATOR` | `TABLE_CARD_VIRTUAL_OPERATOR = 49;`
`TABLE_SCAN_OPERATOR` | `TABLE_SCAN_OPERATOR = 18;`
`TABLES_VIRTUAL_OPERATOR` | `TABLES_VIRTUAL_OPERATOR = 54;`
`TEE_OPERATOR` | `TEE_OPERATOR = 32;`
`TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR` | `TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR = 60;`
`TKT_TABLE_INFO_VIRTUAL_OPERATOR` | `TKT_TABLE_INFO_VIRTUAL_OPERATOR = 57;`
`UNION_OPERATOR` | `UNION_OPERATOR = 25;`
`UNMAKE_VECTOR_OPERATOR` | `UNMAKE_VECTOR_OPERATOR = 16;`
`UNRECOGNIZED` |
`USER_DATABASES_VIRTUAL_OPERATOR` | `USER_DATABASES_VIRTUAL_OPERATOR = 56;`
`USER_GROUPS_VIRTUAL_OPERATOR` | `USER_GROUPS_VIRTUAL_OPERATOR = 48;`
`USER_ROLES_VIRTUAL_OPERATOR` | `USER_ROLES_VIRTUAL_OPERATOR = 52;`
`USERS_VIRTUAL_OPERATOR` | `USERS_VIRTUAL_OPERATOR = 45;`
`VIEWS_VIRTUAL_OPERATOR` | `VIEWS_VIRTUAL_OPERATOR = 68;`
`WINDOW_OPERATOR` | `WINDOW_OPERATOR = 35;`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `AGGREGATION_OPERATOR_VALUE` | `AGGREGATION_OPERATOR = 2;`
`static int` | `AVG_COL_SIZE_VIRTUAL_OPERATOR_VALUE` | `AVG_COL_SIZE_VIRTUAL_OPERATOR = 51;`
`static int` | `BROADCAST_OPERATOR_VALUE` | `BROADCAST_OPERATOR = 34;`
`static int` | `BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR_VALUE` | `BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR = 105;`
`static int` | `BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR_VALUE` | `BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR = 104;`
`static int` | `CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR_VALUE` | `CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR = 101;`
`static int` | `CHASSIS_MODELS_VIRTUAL_OPERATOR_VALUE` | `CHASSIS_MODELS_VIRTUAL_OPERATOR = 100;`
`static int` | `CLUSTERS_VIRTUAL_OPERATOR_VALUE` | `CLUSTERS_VIRTUAL_OPERATOR = 67;`
`static int` | `COL_CARD_VIRTUAL_OPERATOR_VALUE` | `COL_CARD_VIRTUAL_OPERATOR = 50;`
`static int` | `COL_DIST_VIRTUAL_OPERATOR_VALUE` | `COL_DIST_VIRTUAL_OPERATOR = 79;`
`static int` | `COLUMN_EMITTER_OPERATOR_VALUE` | `COLUMN_EMITTER_OPERATOR = 24;`
`static int` | `COLUMNS_VIRTUAL_OPERATOR_VALUE` | `COLUMNS_VIRTUAL_OPERATOR = 62;`
`static int` | `COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE` | `COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR = 109;`
`static int` | `CPU_MODELS_VIRTUAL_OPERATOR_VALUE` | `CPU_MODELS_VIRTUAL_OPERATOR = 92;`
`static int` | `DATA_CENTERS_VIRTUAL_OPERATOR_VALUE` | `DATA_CENTERS_VIRTUAL_OPERATOR = 73;`
`static int` | `DATABASES_VIRTUAL_OPERATOR_VALUE` | `DATABASES_VIRTUAL_OPERATOR = 55;`
`static int` | `EOS_OPERATOR_VALUE` | `EOS_OPERATOR = 31;`
`static int` | `ERROR_OPERATOR_VALUE` | `ERROR_OPERATOR = 36;`
`static int` | `EXCEPT_OPERATOR_VALUE` | `EXCEPT_OPERATOR = 27;`
`static int` | `EXTEND_OPERATOR_VALUE` | `EXTEND_OPERATOR = 3;`
`static int` | `EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR_VALUE` | `EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR = 98;`
`static int` | `GATHER_OPERATOR_VALUE` | `GATHER_OPERATOR = 4;`
`static int` | `GDC_LOOKUP_OP_VALUE` | `GDC_LOOKUP_OP = 43;`
`static int` | `GENERATE_OPERATOR_VALUE` | `GENERATE_OPERATOR = 20;`
`static int` | `GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR_VALUE` | `GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR = 61;`
`static int` | `GROUP_DATABASES_VIRTUAL_OPERATOR_VALUE` | `GROUP_DATABASES_VIRTUAL_OPERATOR = 58;`
`static int` | `GROUP_ROLES_VIRTUAL_OPERATOR_VALUE` | `GROUP_ROLES_VIRTUAL_OPERATOR = 53;`
`static int` | `GROUPS_VIRTUAL_OPERATOR_VALUE` | `GROUPS_VIRTUAL_OPERATOR = 46;`
`static int` | `HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR_VALUE` | `HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR = 99;`
`static int` | `HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR_VALUE` | `HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR = 106;`
`static int` | `HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR_VALUE` | `HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR = 107;`
`static int` | `HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR_VALUE` | `HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR = 108;`
`static int` | `HASH_JOIN_OPERATOR_VALUE` | `HASH_JOIN_OPERATOR = 30;`
`static int` | `HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE` | `HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR = 103;`
`static int` | `INCREMENTING_BIGINT_OPERATOR_VALUE` | `INCREMENTING_BIGINT_OPERATOR = 41;`
`static int` | `INCREMENTING_INT_OPERATOR_VALUE` | `INCREMENTING_INT_OPERATOR = 19;`
`static int` | `INDEX_AGG_OPERATOR_VALUE` | `INDEX_AGG_OPERATOR = 37;`
`static int` | `INDEX_COLUMNS_VIRTUAL_OPERATOR_VALUE` | `INDEX_COLUMNS_VIRTUAL_OPERATOR = 66;`
`static int` | `INDEX_COUNT_STAR_OPERATOR_VALUE` | `INDEX_COUNT_STAR_OPERATOR = 42;`
`static int` | `INDEX_DISTINCT_OPERATOR_VALUE` | `INDEX_DISTINCT_OPERATOR = 39;`
`static int` | `INDEX_OPERATOR_VALUE` | `INDEX_OPERATOR = 5;`
`static int` | `INDEXES_VIRTUAL_OPERATOR_VALUE` | `INDEXES_VIRTUAL_OPERATOR = 63;`
`static int` | `INTERSECT_OPERATOR_VALUE` | `INTERSECT_OPERATOR = 26;`
`static int` | `INVALID_VALUE` | `INVALID = 0;`
`static int` | `LIMIT_OPERATOR_VALUE` | `LIMIT_OPERATOR = 6;`
`static int` | `LTS_CLUSTER_INFO_VIRTUAL_OPERATOR_VALUE` | `LTS_CLUSTER_INFO_VIRTUAL_OPERATOR = 69;`
`static int` | `MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR_VALUE` | `MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR = 87;`
`static int` | `MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR_VALUE` | `MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR = 81;`
`static int` | `MAKE_VECTOR_OPERATOR_VALUE` | `MAKE_VECTOR_OPERATOR = 15;`
`static int` | `MATRIX_EXTEND_OPERATOR_VALUE` | `MATRIX_EXTEND_OPERATOR = 17;`
`static int` | `MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR_VALUE` | `MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR = 80;`
`static int` | `MODIFY_SCHEMA_OPERATOR_VALUE` | `MODIFY_SCHEMA_OPERATOR = 44;`
`static int` | `MOTHERBOARD_MODELS_VIRTUAL_OPERATOR_VALUE` | `MOTHERBOARD_MODELS_VIRTUAL_OPERATOR = 89;`
`static int` | `MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR_VALUE` | `MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR = 86;`
`static int` | `MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE` | `MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 83;`
`static int` | `NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR_VALUE` | `NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR = 95;`
`static int` | `NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR_VALUE` | `NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR = 97;`
`static int` | `NODE_CHASSIS_VIRTUAL_OPERATOR_VALUE` | `NODE_CHASSIS_VIRTUAL_OPERATOR = 85;`
`static int` | `NODE_CLUSTERS_VIRTUAL_OPERATOR_VALUE` | `NODE_CLUSTERS_VIRTUAL_OPERATOR = 71;`
`static int` | `NODE_CPUS_VIRTUAL_OPERATOR_VALUE` | `NODE_CPUS_VIRTUAL_OPERATOR = 91;`
`static int` | `NODE_MEMORY_MODULES_VIRTUAL_OPERATOR_VALUE` | `NODE_MEMORY_MODULES_VIRTUAL_OPERATOR = 94;`
`static int` | `NODE_MOTHERBOARDS_VIRTUAL_OPERATOR_VALUE` | `NODE_MOTHERBOARDS_VIRTUAL_OPERATOR = 88;`
`static int` | `NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR_VALUE` | `NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR = 96;`
`static int` | `NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR_VALUE` | `NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR = 90;`
`static int` | `NODES_VIRTUAL_OPERATOR_VALUE` | `NODES_VIRTUAL_OPERATOR = 70;`
`static int` | `OFFSET_OPERATOR_VALUE` | `OFFSET_OPERATOR = 7;`
`static int` | `ORDERED_AGG_OPERATOR_VALUE` | `ORDERED_AGG_OPERATOR = 38;`
`static int` | `ORDERED_DISTINCT_OPERATOR_VALUE` | `ORDERED_DISTINCT_OPERATOR = 40;`
`static int` | `ORDERED_GATHER_OPERATOR_VALUE` | `ORDERED_GATHER_OPERATOR = 8;`
`static int` | `PRODUCT_OPERATOR_VALUE` | `PRODUCT_OPERATOR = 29;`
`static int` | `PROJECT_OUT_OPERATOR_VALUE` | `PROJECT_OUT_OPERATOR = 9;`
`static int` | `QUERIES_VIRTUAL_OPERATOR_VALUE` | `QUERIES_VIRTUAL_OPERATOR = 22;`
`static int` | `RACKS_VIRTUAL_OPERATOR_VALUE` | `RACKS_VIRTUAL_OPERATOR = 74;`
`static int` | `RANDOM_INT_OPERATOR_VALUE` | `RANDOM_INT_OPERATOR = 23;`
`static int` | `REFERENCE_VALUE` | `REFERENCE = 1;`
`static int` | `RENAME_OPERATOR_VALUE` | `RENAME_OPERATOR = 10;`
`static int` | `REORDER_OPERATOR_VALUE` | `REORDER_OPERATOR = 11;`
`static int` | `RIGHTS_VIRTUAL_OPERATOR_VALUE` | `RIGHTS_VIRTUAL_OPERATOR = 72;`
`static int` | `ROLE_DATABASES_VIRTUAL_OPERATOR_VALUE` | `ROLE_DATABASES_VIRTUAL_OPERATOR = 59;`
`static int` | `ROLES_VIRTUAL_OPERATOR_VALUE` | `ROLES_VIRTUAL_OPERATOR = 47;`
`static int` | `ROOT_OPERATOR_VALUE` | `ROOT_OPERATOR = 14;`
`static int` | `SEGMENT_GROUPS_VIRTUAL_OPERATOR_VALUE` | `SEGMENT_GROUPS_VIRTUAL_OPERATOR = 75;`
`static int` | `SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR_VALUE` | `SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR = 64;`
`static int` | `SEGMENTS_VIRTUAL_OPERATOR_VALUE` | `SEGMENTS_VIRTUAL_OPERATOR = 76;`
`static int` | `SELECT_OPERATOR_VALUE` | `SELECT_OPERATOR = 12;`
`static int` | `SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR_VALUE` | `SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR = 102;`
`static int` | `SERVICE_ROLES_VIRTUAL_OPERATOR_VALUE` | `SERVICE_ROLES_VIRTUAL_OPERATOR = 84;`
`static int` | `SHUFFLE_OPERATOR_VALUE` | `SHUFFLE_OPERATOR = 33;`
`static int` | `SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE` | `SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 82;`
`static int` | `SORT_OPERATOR_VALUE` | `SORT_OPERATOR = 13;`
`static int` | `STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR_VALUE` | `STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR = 93;`
`static int` | `STORAGE_SPACES_VIRTUAL_OPERATOR_VALUE` | `STORAGE_SPACES_VIRTUAL_OPERATOR = 65;`
`static int` | `STORED_SEGMENTS_VIRTUAL_OPERATOR_VALUE` | `STORED_SEGMENTS_VIRTUAL_OPERATOR = 77;`
`static int` | `SUPER_SELECT_OPERATOR_VALUE` | `SUPER_SELECT_OPERATOR = 21;`
`static int` | `SWITCH_OPERATOR_VALUE` | `SWITCH_OPERATOR = 28;`
`static int` | `SYSTEM_INFORMATION_VIRTUAL_OPERATOR_VALUE` | `SYSTEM_INFORMATION_VIRTUAL_OPERATOR = 78;`
`static int` | `TABLE_CARD_VIRTUAL_OPERATOR_VALUE` | `TABLE_CARD_VIRTUAL_OPERATOR = 49;`
`static int` | `TABLE_SCAN_OPERATOR_VALUE` | `TABLE_SCAN_OPERATOR = 18;`
`static int` | `TABLES_VIRTUAL_OPERATOR_VALUE` | `TABLES_VIRTUAL_OPERATOR = 54;`
`static int` | `TEE_OPERATOR_VALUE` | `TEE_OPERATOR = 32;`
`static int` | `TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR_VALUE` | `TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR = 60;`
`static int` | `TKT_TABLE_INFO_VIRTUAL_OPERATOR_VALUE` | `TKT_TABLE_INFO_VIRTUAL_OPERATOR = 57;`
`static int` | `UNION_OPERATOR_VALUE` | `UNION_OPERATOR = 25;`
`static int` | `UNMAKE_VECTOR_OPERATOR_VALUE` | `UNMAKE_VECTOR_OPERATOR = 16;`
`static int` | `USER_DATABASES_VIRTUAL_OPERATOR_VALUE` | `USER_DATABASES_VIRTUAL_OPERATOR = 56;`
`static int` | `USER_GROUPS_VIRTUAL_OPERATOR_VALUE` | `USER_GROUPS_VIRTUAL_OPERATOR = 48;`
`static int` | `USER_ROLES_VIRTUAL_OPERATOR_VALUE` | `USER_ROLES_VIRTUAL_OPERATOR = 52;`
`static int` | `USERS_VIRTUAL_OPERATOR_VALUE` | `USERS_VIRTUAL_OPERATOR = 45;`
`static int` | `VIEWS_VIRTUAL_OPERATOR_VALUE` | `VIEWS_VIRTUAL_OPERATOR = 68;`
`static int` | `WINDOW_OPERATOR_VALUE` | `WINDOW_OPERATOR = 35;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.Operator.OperatorType` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.Operator.OperatorType>` | `internalGetValueMap()` |
`static PlanProtocol.Operator.OperatorType` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.Operator.OperatorType` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.Operator.OperatorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.Operator.OperatorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final PlanProtocol.Operator.OperatorType INVALID
`INVALID = 0;`

### REFERENCE

public static final PlanProtocol.Operator.OperatorType REFERENCE
`REFERENCE = 1;`

### AGGREGATION_OPERATOR

public static final PlanProtocol.Operator.OperatorType AGGREGATION_OPERATOR
`AGGREGATION_OPERATOR = 2;`

### EXTEND_OPERATOR

public static final PlanProtocol.Operator.OperatorType EXTEND_OPERATOR
`EXTEND_OPERATOR = 3;`

### GATHER_OPERATOR

public static final PlanProtocol.Operator.OperatorType GATHER_OPERATOR
`GATHER_OPERATOR = 4;`

### INDEX_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEX_OPERATOR
`INDEX_OPERATOR = 5;`

### LIMIT_OPERATOR

public static final PlanProtocol.Operator.OperatorType LIMIT_OPERATOR
`LIMIT_OPERATOR = 6;`

### OFFSET_OPERATOR

public static final PlanProtocol.Operator.OperatorType OFFSET_OPERATOR
`OFFSET_OPERATOR = 7;`

### ORDERED_GATHER_OPERATOR

public static final PlanProtocol.Operator.OperatorType ORDERED_GATHER_OPERATOR
`ORDERED_GATHER_OPERATOR = 8;`

### PROJECT_OUT_OPERATOR

public static final PlanProtocol.Operator.OperatorType PROJECT_OUT_OPERATOR
`PROJECT_OUT_OPERATOR = 9;`

### RENAME_OPERATOR

public static final PlanProtocol.Operator.OperatorType RENAME_OPERATOR
`RENAME_OPERATOR = 10;`

### REORDER_OPERATOR

public static final PlanProtocol.Operator.OperatorType REORDER_OPERATOR
`REORDER_OPERATOR = 11;`

### SELECT_OPERATOR

public static final PlanProtocol.Operator.OperatorType SELECT_OPERATOR
`SELECT_OPERATOR = 12;`

### SORT_OPERATOR

public static final PlanProtocol.Operator.OperatorType SORT_OPERATOR
`SORT_OPERATOR = 13;`

### ROOT_OPERATOR

public static final PlanProtocol.Operator.OperatorType ROOT_OPERATOR
`ROOT_OPERATOR = 14;`

### MAKE_VECTOR_OPERATOR

public static final PlanProtocol.Operator.OperatorType MAKE_VECTOR_OPERATOR
`MAKE_VECTOR_OPERATOR = 15;`

### UNMAKE_VECTOR_OPERATOR

public static final PlanProtocol.Operator.OperatorType UNMAKE_VECTOR_OPERATOR
`UNMAKE_VECTOR_OPERATOR = 16;`

### MATRIX_EXTEND_OPERATOR

public static final PlanProtocol.Operator.OperatorType MATRIX_EXTEND_OPERATOR
`MATRIX_EXTEND_OPERATOR = 17;`

### TABLE_SCAN_OPERATOR

public static final PlanProtocol.Operator.OperatorType TABLE_SCAN_OPERATOR
`TABLE_SCAN_OPERATOR = 18;`

### INCREMENTING_INT_OPERATOR

public static final PlanProtocol.Operator.OperatorType INCREMENTING_INT_OPERATOR
`INCREMENTING_INT_OPERATOR = 19;`

### GENERATE_OPERATOR

public static final PlanProtocol.Operator.OperatorType GENERATE_OPERATOR
`GENERATE_OPERATOR = 20;`

### SUPER_SELECT_OPERATOR

public static final PlanProtocol.Operator.OperatorType SUPER_SELECT_OPERATOR
`SUPER_SELECT_OPERATOR = 21;`

### QUERIES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType QUERIES_VIRTUAL_OPERATOR
`QUERIES_VIRTUAL_OPERATOR = 22;`

### RANDOM_INT_OPERATOR

public static final PlanProtocol.Operator.OperatorType RANDOM_INT_OPERATOR
`RANDOM_INT_OPERATOR = 23;`

### COLUMN_EMITTER_OPERATOR

public static final PlanProtocol.Operator.OperatorType COLUMN_EMITTER_OPERATOR
`COLUMN_EMITTER_OPERATOR = 24;`

### UNION_OPERATOR

public static final PlanProtocol.Operator.OperatorType UNION_OPERATOR
`UNION_OPERATOR = 25;`

### INTERSECT_OPERATOR

public static final PlanProtocol.Operator.OperatorType INTERSECT_OPERATOR
`INTERSECT_OPERATOR = 26;`

### EXCEPT_OPERATOR

public static final PlanProtocol.Operator.OperatorType EXCEPT_OPERATOR
`EXCEPT_OPERATOR = 27;`

### SWITCH_OPERATOR

public static final PlanProtocol.Operator.OperatorType SWITCH_OPERATOR
`SWITCH_OPERATOR = 28;`

### PRODUCT_OPERATOR

public static final PlanProtocol.Operator.OperatorType PRODUCT_OPERATOR
`PRODUCT_OPERATOR = 29;`

### HASH_JOIN_OPERATOR

public static final PlanProtocol.Operator.OperatorType HASH_JOIN_OPERATOR
`HASH_JOIN_OPERATOR = 30;`

### EOS_OPERATOR

public static final PlanProtocol.Operator.OperatorType EOS_OPERATOR
`EOS_OPERATOR = 31;`

### TEE_OPERATOR

public static final PlanProtocol.Operator.OperatorType TEE_OPERATOR
`TEE_OPERATOR = 32;`

### SHUFFLE_OPERATOR

public static final PlanProtocol.Operator.OperatorType SHUFFLE_OPERATOR
`SHUFFLE_OPERATOR = 33;`

### BROADCAST_OPERATOR

public static final PlanProtocol.Operator.OperatorType BROADCAST_OPERATOR
`BROADCAST_OPERATOR = 34;`

### WINDOW_OPERATOR

public static final PlanProtocol.Operator.OperatorType WINDOW_OPERATOR
`WINDOW_OPERATOR = 35;`

### ERROR_OPERATOR

public static final PlanProtocol.Operator.OperatorType ERROR_OPERATOR
`ERROR_OPERATOR = 36;`

### INDEX_AGG_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEX_AGG_OPERATOR
`INDEX_AGG_OPERATOR = 37;`

### ORDERED_AGG_OPERATOR

public static final PlanProtocol.Operator.OperatorType ORDERED_AGG_OPERATOR
`ORDERED_AGG_OPERATOR = 38;`

### INDEX_DISTINCT_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEX_DISTINCT_OPERATOR
`INDEX_DISTINCT_OPERATOR = 39;`

### ORDERED_DISTINCT_OPERATOR

public static final PlanProtocol.Operator.OperatorType ORDERED_DISTINCT_OPERATOR
`ORDERED_DISTINCT_OPERATOR = 40;`

### INCREMENTING_BIGINT_OPERATOR

public static final PlanProtocol.Operator.OperatorType INCREMENTING_BIGINT_OPERATOR
`INCREMENTING_BIGINT_OPERATOR = 41;`

### INDEX_COUNT_STAR_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEX_COUNT_STAR_OPERATOR
`INDEX_COUNT_STAR_OPERATOR = 42;`

### GDC_LOOKUP_OP

public static final PlanProtocol.Operator.OperatorType GDC_LOOKUP_OP
`GDC_LOOKUP_OP = 43;`

### MODIFY_SCHEMA_OPERATOR

public static final PlanProtocol.Operator.OperatorType MODIFY_SCHEMA_OPERATOR
`MODIFY_SCHEMA_OPERATOR = 44;`

### USERS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType USERS_VIRTUAL_OPERATOR
`USERS_VIRTUAL_OPERATOR = 45;`

### GROUPS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType GROUPS_VIRTUAL_OPERATOR
`GROUPS_VIRTUAL_OPERATOR = 46;`

### ROLES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType ROLES_VIRTUAL_OPERATOR
`ROLES_VIRTUAL_OPERATOR = 47;`

### USER_GROUPS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType USER_GROUPS_VIRTUAL_OPERATOR
`USER_GROUPS_VIRTUAL_OPERATOR = 48;`

### TABLE_CARD_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType TABLE_CARD_VIRTUAL_OPERATOR
`TABLE_CARD_VIRTUAL_OPERATOR = 49;`

### COL_CARD_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType COL_CARD_VIRTUAL_OPERATOR
`COL_CARD_VIRTUAL_OPERATOR = 50;`

### AVG_COL_SIZE_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType AVG_COL_SIZE_VIRTUAL_OPERATOR
`AVG_COL_SIZE_VIRTUAL_OPERATOR = 51;`

### USER_ROLES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType USER_ROLES_VIRTUAL_OPERATOR
`USER_ROLES_VIRTUAL_OPERATOR = 52;`

### GROUP_ROLES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType GROUP_ROLES_VIRTUAL_OPERATOR
`GROUP_ROLES_VIRTUAL_OPERATOR = 53;`

### TABLES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType TABLES_VIRTUAL_OPERATOR
`TABLES_VIRTUAL_OPERATOR = 54;`

### DATABASES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType DATABASES_VIRTUAL_OPERATOR
`DATABASES_VIRTUAL_OPERATOR = 55;`

### USER_DATABASES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType USER_DATABASES_VIRTUAL_OPERATOR
`USER_DATABASES_VIRTUAL_OPERATOR = 56;`

### TKT_TABLE_INFO_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType TKT_TABLE_INFO_VIRTUAL_OPERATOR
`TKT_TABLE_INFO_VIRTUAL_OPERATOR = 57;`

### GROUP_DATABASES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType GROUP_DATABASES_VIRTUAL_OPERATOR
`GROUP_DATABASES_VIRTUAL_OPERATOR = 58;`

### ROLE_DATABASES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType ROLE_DATABASES_VIRTUAL_OPERATOR
`ROLE_DATABASES_VIRTUAL_OPERATOR = 59;`

### TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR
`TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR = 60;`

### GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR
`GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR = 61;`

### COLUMNS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType COLUMNS_VIRTUAL_OPERATOR
`COLUMNS_VIRTUAL_OPERATOR = 62;`

### INDEXES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEXES_VIRTUAL_OPERATOR
`INDEXES_VIRTUAL_OPERATOR = 63;`

### SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR
`SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR = 64;`

### STORAGE_SPACES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType STORAGE_SPACES_VIRTUAL_OPERATOR
`STORAGE_SPACES_VIRTUAL_OPERATOR = 65;`

### INDEX_COLUMNS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType INDEX_COLUMNS_VIRTUAL_OPERATOR
`INDEX_COLUMNS_VIRTUAL_OPERATOR = 66;`

### CLUSTERS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType CLUSTERS_VIRTUAL_OPERATOR
`CLUSTERS_VIRTUAL_OPERATOR = 67;`

### VIEWS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType VIEWS_VIRTUAL_OPERATOR
`VIEWS_VIRTUAL_OPERATOR = 68;`

### LTS_CLUSTER_INFO_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType LTS_CLUSTER_INFO_VIRTUAL_OPERATOR
`LTS_CLUSTER_INFO_VIRTUAL_OPERATOR = 69;`

### NODES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODES_VIRTUAL_OPERATOR
`NODES_VIRTUAL_OPERATOR = 70;`

### NODE_CLUSTERS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_CLUSTERS_VIRTUAL_OPERATOR
`NODE_CLUSTERS_VIRTUAL_OPERATOR = 71;`

### RIGHTS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType RIGHTS_VIRTUAL_OPERATOR
`RIGHTS_VIRTUAL_OPERATOR = 72;`

### DATA_CENTERS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType DATA_CENTERS_VIRTUAL_OPERATOR
`DATA_CENTERS_VIRTUAL_OPERATOR = 73;`

### RACKS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType RACKS_VIRTUAL_OPERATOR
`RACKS_VIRTUAL_OPERATOR = 74;`

### SEGMENT_GROUPS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SEGMENT_GROUPS_VIRTUAL_OPERATOR
`SEGMENT_GROUPS_VIRTUAL_OPERATOR = 75;`

### SEGMENTS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SEGMENTS_VIRTUAL_OPERATOR
`SEGMENTS_VIRTUAL_OPERATOR = 76;`

### STORED_SEGMENTS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType STORED_SEGMENTS_VIRTUAL_OPERATOR
`STORED_SEGMENTS_VIRTUAL_OPERATOR = 77;`

### SYSTEM_INFORMATION_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SYSTEM_INFORMATION_VIRTUAL_OPERATOR
`SYSTEM_INFORMATION_VIRTUAL_OPERATOR = 78;`

### COL_DIST_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType COL_DIST_VIRTUAL_OPERATOR
`COL_DIST_VIRTUAL_OPERATOR = 79;`

### MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR
`MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR = 80;`

### MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR
`MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR = 81;`

### SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR
`SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 82;`

### MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR
`MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 83;`

### SERVICE_ROLES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SERVICE_ROLES_VIRTUAL_OPERATOR
`SERVICE_ROLES_VIRTUAL_OPERATOR = 84;`

### NODE_CHASSIS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_CHASSIS_VIRTUAL_OPERATOR
`NODE_CHASSIS_VIRTUAL_OPERATOR = 85;`

### MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR
`MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR = 86;`

### MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR
`MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR = 87;`

### NODE_MOTHERBOARDS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_MOTHERBOARDS_VIRTUAL_OPERATOR
`NODE_MOTHERBOARDS_VIRTUAL_OPERATOR = 88;`

### MOTHERBOARD_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType MOTHERBOARD_MODELS_VIRTUAL_OPERATOR
`MOTHERBOARD_MODELS_VIRTUAL_OPERATOR = 89;`

### NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR
`NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR = 90;`

### NODE_CPUS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_CPUS_VIRTUAL_OPERATOR
`NODE_CPUS_VIRTUAL_OPERATOR = 91;`

### CPU_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType CPU_MODELS_VIRTUAL_OPERATOR
`CPU_MODELS_VIRTUAL_OPERATOR = 92;`

### STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR
`STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR = 93;`

### NODE_MEMORY_MODULES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_MEMORY_MODULES_VIRTUAL_OPERATOR
`NODE_MEMORY_MODULES_VIRTUAL_OPERATOR = 94;`

### NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR
`NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR = 95;`

### NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR
`NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR = 96;`

### NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR
`NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR = 97;`

### EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR
`EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR = 98;`

### HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR
`HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR = 99;`

### CHASSIS_MODELS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType CHASSIS_MODELS_VIRTUAL_OPERATOR
`CHASSIS_MODELS_VIRTUAL_OPERATOR = 100;`

### CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR
`CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR = 101;`

### SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR
`SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR = 102;`

### HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR
`HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR = 103;`

### BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR
`BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR = 104;`

### BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR
`BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR = 105;`

### HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR
`HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR = 106;`

### HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR
`HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR = 107;`

### HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR
`HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR = 108;`

### COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.OperatorType COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR
`COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR = 109;`

### UNRECOGNIZED

public static final PlanProtocol.Operator.OperatorType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### REFERENCE_VALUE

public static final int REFERENCE_VALUE
`REFERENCE = 1;`

See Also:
  Constant Field Values

### AGGREGATION_OPERATOR_VALUE

public static final int AGGREGATION_OPERATOR_VALUE
`AGGREGATION_OPERATOR = 2;`

See Also:
  Constant Field Values

### EXTEND_OPERATOR_VALUE

public static final int EXTEND_OPERATOR_VALUE
`EXTEND_OPERATOR = 3;`

See Also:
  Constant Field Values

### GATHER_OPERATOR_VALUE

public static final int GATHER_OPERATOR_VALUE
`GATHER_OPERATOR = 4;`

See Also:
  Constant Field Values

### INDEX_OPERATOR_VALUE

public static final int INDEX_OPERATOR_VALUE
`INDEX_OPERATOR = 5;`

See Also:
  Constant Field Values

### LIMIT_OPERATOR_VALUE

public static final int LIMIT_OPERATOR_VALUE
`LIMIT_OPERATOR = 6;`

See Also:
  Constant Field Values

### OFFSET_OPERATOR_VALUE

public static final int OFFSET_OPERATOR_VALUE
`OFFSET_OPERATOR = 7;`

See Also:
  Constant Field Values

### ORDERED_GATHER_OPERATOR_VALUE

public static final int ORDERED_GATHER_OPERATOR_VALUE
`ORDERED_GATHER_OPERATOR = 8;`

See Also:
  Constant Field Values

### PROJECT_OUT_OPERATOR_VALUE

public static final int PROJECT_OUT_OPERATOR_VALUE
`PROJECT_OUT_OPERATOR = 9;`

See Also:
  Constant Field Values

### RENAME_OPERATOR_VALUE

public static final int RENAME_OPERATOR_VALUE
`RENAME_OPERATOR = 10;`

See Also:
  Constant Field Values

### REORDER_OPERATOR_VALUE

public static final int REORDER_OPERATOR_VALUE
`REORDER_OPERATOR = 11;`

See Also:
  Constant Field Values

### SELECT_OPERATOR_VALUE

public static final int SELECT_OPERATOR_VALUE
`SELECT_OPERATOR = 12;`

See Also:
  Constant Field Values

### SORT_OPERATOR_VALUE

public static final int SORT_OPERATOR_VALUE
`SORT_OPERATOR = 13;`

See Also:
  Constant Field Values

### ROOT_OPERATOR_VALUE

public static final int ROOT_OPERATOR_VALUE
`ROOT_OPERATOR = 14;`

See Also:
  Constant Field Values

### MAKE_VECTOR_OPERATOR_VALUE

public static final int MAKE_VECTOR_OPERATOR_VALUE
`MAKE_VECTOR_OPERATOR = 15;`

See Also:
  Constant Field Values

### UNMAKE_VECTOR_OPERATOR_VALUE

public static final int UNMAKE_VECTOR_OPERATOR_VALUE
`UNMAKE_VECTOR_OPERATOR = 16;`

See Also:
  Constant Field Values

### MATRIX_EXTEND_OPERATOR_VALUE

public static final int MATRIX_EXTEND_OPERATOR_VALUE
`MATRIX_EXTEND_OPERATOR = 17;`

See Also:
  Constant Field Values

### TABLE_SCAN_OPERATOR_VALUE

public static final int TABLE_SCAN_OPERATOR_VALUE
`TABLE_SCAN_OPERATOR = 18;`

See Also:
  Constant Field Values

### INCREMENTING_INT_OPERATOR_VALUE

public static final int INCREMENTING_INT_OPERATOR_VALUE
`INCREMENTING_INT_OPERATOR = 19;`

See Also:
  Constant Field Values

### GENERATE_OPERATOR_VALUE

public static final int GENERATE_OPERATOR_VALUE
`GENERATE_OPERATOR = 20;`

See Also:
  Constant Field Values

### SUPER_SELECT_OPERATOR_VALUE

public static final int SUPER_SELECT_OPERATOR_VALUE
`SUPER_SELECT_OPERATOR = 21;`

See Also:
  Constant Field Values

### QUERIES_VIRTUAL_OPERATOR_VALUE

public static final int QUERIES_VIRTUAL_OPERATOR_VALUE
`QUERIES_VIRTUAL_OPERATOR = 22;`

See Also:
  Constant Field Values

### RANDOM_INT_OPERATOR_VALUE

public static final int RANDOM_INT_OPERATOR_VALUE
`RANDOM_INT_OPERATOR = 23;`

See Also:
  Constant Field Values

### COLUMN_EMITTER_OPERATOR_VALUE

public static final int COLUMN_EMITTER_OPERATOR_VALUE
`COLUMN_EMITTER_OPERATOR = 24;`

See Also:
  Constant Field Values

### UNION_OPERATOR_VALUE

public static final int UNION_OPERATOR_VALUE
`UNION_OPERATOR = 25;`

See Also:
  Constant Field Values

### INTERSECT_OPERATOR_VALUE

public static final int INTERSECT_OPERATOR_VALUE
`INTERSECT_OPERATOR = 26;`

See Also:
  Constant Field Values

### EXCEPT_OPERATOR_VALUE

public static final int EXCEPT_OPERATOR_VALUE
`EXCEPT_OPERATOR = 27;`

See Also:
  Constant Field Values

### SWITCH_OPERATOR_VALUE

public static final int SWITCH_OPERATOR_VALUE
`SWITCH_OPERATOR = 28;`

See Also:
  Constant Field Values

### PRODUCT_OPERATOR_VALUE

public static final int PRODUCT_OPERATOR_VALUE
`PRODUCT_OPERATOR = 29;`

See Also:
  Constant Field Values

### HASH_JOIN_OPERATOR_VALUE

public static final int HASH_JOIN_OPERATOR_VALUE
`HASH_JOIN_OPERATOR = 30;`

See Also:
  Constant Field Values

### EOS_OPERATOR_VALUE

public static final int EOS_OPERATOR_VALUE
`EOS_OPERATOR = 31;`

See Also:
  Constant Field Values

### TEE_OPERATOR_VALUE

public static final int TEE_OPERATOR_VALUE
`TEE_OPERATOR = 32;`

See Also:
  Constant Field Values

### SHUFFLE_OPERATOR_VALUE

public static final int SHUFFLE_OPERATOR_VALUE
`SHUFFLE_OPERATOR = 33;`

See Also:
  Constant Field Values

### BROADCAST_OPERATOR_VALUE

public static final int BROADCAST_OPERATOR_VALUE
`BROADCAST_OPERATOR = 34;`

See Also:
  Constant Field Values

### WINDOW_OPERATOR_VALUE

public static final int WINDOW_OPERATOR_VALUE
`WINDOW_OPERATOR = 35;`

See Also:
  Constant Field Values

### ERROR_OPERATOR_VALUE

public static final int ERROR_OPERATOR_VALUE
`ERROR_OPERATOR = 36;`

See Also:
  Constant Field Values

### INDEX_AGG_OPERATOR_VALUE

public static final int INDEX_AGG_OPERATOR_VALUE
`INDEX_AGG_OPERATOR = 37;`

See Also:
  Constant Field Values

### ORDERED_AGG_OPERATOR_VALUE

public static final int ORDERED_AGG_OPERATOR_VALUE
`ORDERED_AGG_OPERATOR = 38;`

See Also:
  Constant Field Values

### INDEX_DISTINCT_OPERATOR_VALUE

public static final int INDEX_DISTINCT_OPERATOR_VALUE
`INDEX_DISTINCT_OPERATOR = 39;`

See Also:
  Constant Field Values

### ORDERED_DISTINCT_OPERATOR_VALUE

public static final int ORDERED_DISTINCT_OPERATOR_VALUE
`ORDERED_DISTINCT_OPERATOR = 40;`

See Also:
  Constant Field Values

### INCREMENTING_BIGINT_OPERATOR_VALUE

public static final int INCREMENTING_BIGINT_OPERATOR_VALUE
`INCREMENTING_BIGINT_OPERATOR = 41;`

See Also:
  Constant Field Values

### INDEX_COUNT_STAR_OPERATOR_VALUE

public static final int INDEX_COUNT_STAR_OPERATOR_VALUE
`INDEX_COUNT_STAR_OPERATOR = 42;`

See Also:
  Constant Field Values

### GDC_LOOKUP_OP_VALUE

public static final int GDC_LOOKUP_OP_VALUE
`GDC_LOOKUP_OP = 43;`

See Also:
  Constant Field Values

### MODIFY_SCHEMA_OPERATOR_VALUE

public static final int MODIFY_SCHEMA_OPERATOR_VALUE
`MODIFY_SCHEMA_OPERATOR = 44;`

See Also:
  Constant Field Values

### USERS_VIRTUAL_OPERATOR_VALUE

public static final int USERS_VIRTUAL_OPERATOR_VALUE
`USERS_VIRTUAL_OPERATOR = 45;`

See Also:
  Constant Field Values

### GROUPS_VIRTUAL_OPERATOR_VALUE

public static final int GROUPS_VIRTUAL_OPERATOR_VALUE
`GROUPS_VIRTUAL_OPERATOR = 46;`

See Also:
  Constant Field Values

### ROLES_VIRTUAL_OPERATOR_VALUE

public static final int ROLES_VIRTUAL_OPERATOR_VALUE
`ROLES_VIRTUAL_OPERATOR = 47;`

See Also:
  Constant Field Values

### USER_GROUPS_VIRTUAL_OPERATOR_VALUE

public static final int USER_GROUPS_VIRTUAL_OPERATOR_VALUE
`USER_GROUPS_VIRTUAL_OPERATOR = 48;`

See Also:
  Constant Field Values

### TABLE_CARD_VIRTUAL_OPERATOR_VALUE

public static final int TABLE_CARD_VIRTUAL_OPERATOR_VALUE
`TABLE_CARD_VIRTUAL_OPERATOR = 49;`

See Also:
  Constant Field Values

### COL_CARD_VIRTUAL_OPERATOR_VALUE

public static final int COL_CARD_VIRTUAL_OPERATOR_VALUE
`COL_CARD_VIRTUAL_OPERATOR = 50;`

See Also:
  Constant Field Values

### AVG_COL_SIZE_VIRTUAL_OPERATOR_VALUE

public static final int AVG_COL_SIZE_VIRTUAL_OPERATOR_VALUE
`AVG_COL_SIZE_VIRTUAL_OPERATOR = 51;`

See Also:
  Constant Field Values

### USER_ROLES_VIRTUAL_OPERATOR_VALUE

public static final int USER_ROLES_VIRTUAL_OPERATOR_VALUE
`USER_ROLES_VIRTUAL_OPERATOR = 52;`

See Also:
  Constant Field Values

### GROUP_ROLES_VIRTUAL_OPERATOR_VALUE

public static final int GROUP_ROLES_VIRTUAL_OPERATOR_VALUE
`GROUP_ROLES_VIRTUAL_OPERATOR = 53;`

See Also:
  Constant Field Values

### TABLES_VIRTUAL_OPERATOR_VALUE

public static final int TABLES_VIRTUAL_OPERATOR_VALUE
`TABLES_VIRTUAL_OPERATOR = 54;`

See Also:
  Constant Field Values

### DATABASES_VIRTUAL_OPERATOR_VALUE

public static final int DATABASES_VIRTUAL_OPERATOR_VALUE
`DATABASES_VIRTUAL_OPERATOR = 55;`

See Also:
  Constant Field Values

### USER_DATABASES_VIRTUAL_OPERATOR_VALUE

public static final int USER_DATABASES_VIRTUAL_OPERATOR_VALUE
`USER_DATABASES_VIRTUAL_OPERATOR = 56;`

See Also:
  Constant Field Values

### TKT_TABLE_INFO_VIRTUAL_OPERATOR_VALUE

public static final int TKT_TABLE_INFO_VIRTUAL_OPERATOR_VALUE
`TKT_TABLE_INFO_VIRTUAL_OPERATOR = 57;`

See Also:
  Constant Field Values

### GROUP_DATABASES_VIRTUAL_OPERATOR_VALUE

public static final int GROUP_DATABASES_VIRTUAL_OPERATOR_VALUE
`GROUP_DATABASES_VIRTUAL_OPERATOR = 58;`

See Also:
  Constant Field Values

### ROLE_DATABASES_VIRTUAL_OPERATOR_VALUE

public static final int ROLE_DATABASES_VIRTUAL_OPERATOR_VALUE
`ROLE_DATABASES_VIRTUAL_OPERATOR = 59;`

See Also:
  Constant Field Values

### TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR_VALUE

public static final int TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR_VALUE
`TKT_TABLE_CLUSTERING_COLUMN_INDICES_VIRTUAL_OPERATOR = 60;`

See Also:
  Constant Field Values

### GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR_VALUE

public static final int GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR_VALUE
`GLOBAL_MAP_TABLE_INFO_VIRTUAL_OPERATOR = 61;`

See Also:
  Constant Field Values

### COLUMNS_VIRTUAL_OPERATOR_VALUE

public static final int COLUMNS_VIRTUAL_OPERATOR_VALUE
`COLUMNS_VIRTUAL_OPERATOR = 62;`

See Also:
  Constant Field Values

### INDEXES_VIRTUAL_OPERATOR_VALUE

public static final int INDEXES_VIRTUAL_OPERATOR_VALUE
`INDEXES_VIRTUAL_OPERATOR = 63;`

See Also:
  Constant Field Values

### SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR_VALUE

public static final int SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR_VALUE
`SEGMENT_PART_REDUNDANCY_INFO_VIRTUAL_OPERATOR = 64;`

See Also:
  Constant Field Values

### STORAGE_SPACES_VIRTUAL_OPERATOR_VALUE

public static final int STORAGE_SPACES_VIRTUAL_OPERATOR_VALUE
`STORAGE_SPACES_VIRTUAL_OPERATOR = 65;`

See Also:
  Constant Field Values

### INDEX_COLUMNS_VIRTUAL_OPERATOR_VALUE

public static final int INDEX_COLUMNS_VIRTUAL_OPERATOR_VALUE
`INDEX_COLUMNS_VIRTUAL_OPERATOR = 66;`

See Also:
  Constant Field Values

### CLUSTERS_VIRTUAL_OPERATOR_VALUE

public static final int CLUSTERS_VIRTUAL_OPERATOR_VALUE
`CLUSTERS_VIRTUAL_OPERATOR = 67;`

See Also:
  Constant Field Values

### VIEWS_VIRTUAL_OPERATOR_VALUE

public static final int VIEWS_VIRTUAL_OPERATOR_VALUE
`VIEWS_VIRTUAL_OPERATOR = 68;`

See Also:
  Constant Field Values

### LTS_CLUSTER_INFO_VIRTUAL_OPERATOR_VALUE

public static final int LTS_CLUSTER_INFO_VIRTUAL_OPERATOR_VALUE
`LTS_CLUSTER_INFO_VIRTUAL_OPERATOR = 69;`

See Also:
  Constant Field Values

### NODES_VIRTUAL_OPERATOR_VALUE

public static final int NODES_VIRTUAL_OPERATOR_VALUE
`NODES_VIRTUAL_OPERATOR = 70;`

See Also:
  Constant Field Values

### NODE_CLUSTERS_VIRTUAL_OPERATOR_VALUE

public static final int NODE_CLUSTERS_VIRTUAL_OPERATOR_VALUE
`NODE_CLUSTERS_VIRTUAL_OPERATOR = 71;`

See Also:
  Constant Field Values

### RIGHTS_VIRTUAL_OPERATOR_VALUE

public static final int RIGHTS_VIRTUAL_OPERATOR_VALUE
`RIGHTS_VIRTUAL_OPERATOR = 72;`

See Also:
  Constant Field Values

### DATA_CENTERS_VIRTUAL_OPERATOR_VALUE

public static final int DATA_CENTERS_VIRTUAL_OPERATOR_VALUE
`DATA_CENTERS_VIRTUAL_OPERATOR = 73;`

See Also:
  Constant Field Values

### RACKS_VIRTUAL_OPERATOR_VALUE

public static final int RACKS_VIRTUAL_OPERATOR_VALUE
`RACKS_VIRTUAL_OPERATOR = 74;`

See Also:
  Constant Field Values

### SEGMENT_GROUPS_VIRTUAL_OPERATOR_VALUE

public static final int SEGMENT_GROUPS_VIRTUAL_OPERATOR_VALUE
`SEGMENT_GROUPS_VIRTUAL_OPERATOR = 75;`

See Also:
  Constant Field Values

### SEGMENTS_VIRTUAL_OPERATOR_VALUE

public static final int SEGMENTS_VIRTUAL_OPERATOR_VALUE
`SEGMENTS_VIRTUAL_OPERATOR = 76;`

See Also:
  Constant Field Values

### STORED_SEGMENTS_VIRTUAL_OPERATOR_VALUE

public static final int STORED_SEGMENTS_VIRTUAL_OPERATOR_VALUE
`STORED_SEGMENTS_VIRTUAL_OPERATOR = 77;`

See Also:
  Constant Field Values

### SYSTEM_INFORMATION_VIRTUAL_OPERATOR_VALUE

public static final int SYSTEM_INFORMATION_VIRTUAL_OPERATOR_VALUE
`SYSTEM_INFORMATION_VIRTUAL_OPERATOR = 78;`

See Also:
  Constant Field Values

### COL_DIST_VIRTUAL_OPERATOR_VALUE

public static final int COL_DIST_VIRTUAL_OPERATOR_VALUE
`COL_DIST_VIRTUAL_OPERATOR = 79;`

See Also:
  Constant Field Values

### MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR_VALUE
`MEMORY_MODULE_MODELS_VIRTUAL_OPERATOR = 80;`

See Also:
  Constant Field Values

### MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR_VALUE
`MACHINE_LEARNING_MODELS_VIRTUAL_OPERATOR = 81;`

See Also:
  Constant Field Values

### SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE
`SIMPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 82;`

See Also:
  Constant Field Values

### MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR_VALUE
`MULTIPLE_LINEAR_REGRESSION_MODELS_VIRTUAL_OPERATOR = 83;`

See Also:
  Constant Field Values

### SERVICE_ROLES_VIRTUAL_OPERATOR_VALUE

public static final int SERVICE_ROLES_VIRTUAL_OPERATOR_VALUE
`SERVICE_ROLES_VIRTUAL_OPERATOR = 84;`

See Also:
  Constant Field Values

### NODE_CHASSIS_VIRTUAL_OPERATOR_VALUE

public static final int NODE_CHASSIS_VIRTUAL_OPERATOR_VALUE
`NODE_CHASSIS_VIRTUAL_OPERATOR = 85;`

See Also:
  Constant Field Values

### MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR_VALUE

public static final int MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR_VALUE
`MULTIPLE_LINEAR_REGRESSION_MODEL_SLOPES_VIRTUAL_OPERATOR = 86;`

See Also:
  Constant Field Values

### MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR_VALUE

public static final int MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR_VALUE
`MACHINE_LEARNING_MODEL_OPTIONS_VIRTUAL_OPERATOR = 87;`

See Also:
  Constant Field Values

### NODE_MOTHERBOARDS_VIRTUAL_OPERATOR_VALUE

public static final int NODE_MOTHERBOARDS_VIRTUAL_OPERATOR_VALUE
`NODE_MOTHERBOARDS_VIRTUAL_OPERATOR = 88;`

See Also:
  Constant Field Values

### MOTHERBOARD_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int MOTHERBOARD_MODELS_VIRTUAL_OPERATOR_VALUE
`MOTHERBOARD_MODELS_VIRTUAL_OPERATOR = 89;`

See Also:
  Constant Field Values

### NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR_VALUE

public static final int NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR_VALUE
`NODE_STORAGE_DEVICES_VIRTUAL_OPERATOR = 90;`

See Also:
  Constant Field Values

### NODE_CPUS_VIRTUAL_OPERATOR_VALUE

public static final int NODE_CPUS_VIRTUAL_OPERATOR_VALUE
`NODE_CPUS_VIRTUAL_OPERATOR = 91;`

See Also:
  Constant Field Values

### CPU_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int CPU_MODELS_VIRTUAL_OPERATOR_VALUE
`CPU_MODELS_VIRTUAL_OPERATOR = 92;`

See Also:
  Constant Field Values

### STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR_VALUE
`STORAGE_DEVICE_MODELS_VIRTUAL_OPERATOR = 93;`

See Also:
  Constant Field Values

### NODE_MEMORY_MODULES_VIRTUAL_OPERATOR_VALUE

public static final int NODE_MEMORY_MODULES_VIRTUAL_OPERATOR_VALUE
`NODE_MEMORY_MODULES_VIRTUAL_OPERATOR = 94;`

See Also:
  Constant Field Values

### NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR_VALUE
`NETWORK_INTERFACE_MODELS_VIRTUAL_OPERATOR = 95;`

See Also:
  Constant Field Values

### NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR_VALUE

public static final int NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR_VALUE
`NODE_NETWORK_INTERFACES_VIRTUAL_OPERATOR = 96;`

See Also:
  Constant Field Values

### NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR_VALUE

public static final int NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR_VALUE
`NETWORK_INTERFACE_USAGE_TYPES_VIRTUAL_OPERATOR = 97;`

See Also:
  Constant Field Values

### EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR_VALUE

public static final int EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR_VALUE
`EXTERNAL_CONNECTIONS_VIRTUAL_OPERATOR = 98;`

See Also:
  Constant Field Values

### HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR_VALUE

public static final int HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR_VALUE
`HADOOP_FILE_SYSTEM_CONNECTIONS_VIRTUAL_OPERATOR = 99;`

See Also:
  Constant Field Values

### CHASSIS_MODELS_VIRTUAL_OPERATOR_VALUE

public static final int CHASSIS_MODELS_VIRTUAL_OPERATOR_VALUE
`CHASSIS_MODELS_VIRTUAL_OPERATOR = 100;`

See Also:
  Constant Field Values

### CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR_VALUE

public static final int CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR_VALUE
`CHANNEL_ENDPOINT_PARAMETERS_VIRTUAL_OPERATOR = 101;`

See Also:
  Constant Field Values

### SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR_VALUE

public static final int SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR_VALUE
`SERVICE_ROLE_CHANNEL_ENDPOINTS_VIRTUAL_OPERATOR = 102;`

See Also:
  Constant Field Values

### HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE

public static final int HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE
`HUGEPAGE_CONFIGURATIONS_VIRTUAL_OPERATOR = 103;`

See Also:
  Constant Field Values

### BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR_VALUE

public static final int BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR_VALUE
`BULK_LOAD_JOB_TEMPLATES_VIRTUAL_OPERATOR = 104;`

See Also:
  Constant Field Values

### BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR_VALUE

public static final int BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR_VALUE
`BULK_LOAD_JOB_SCHEDULES_VIRTUAL_OPERATOR = 105;`

See Also:
  Constant Field Values

### HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR_VALUE

public static final int HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR_VALUE
`HADOOP_FILE_SYSTEM_FILE_PATHS_VIRTUAL_OPERATOR = 106;`

See Also:
  Constant Field Values

### HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR_VALUE

public static final int HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR_VALUE
`HADOOP_FILE_SYSTEM_GROUP_REGEXES_VIRTUAL_OPERATOR = 107;`

See Also:
  Constant Field Values

### HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR_VALUE

public static final int HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR_VALUE
`HADOOP_FILE_SYSTEM_ORIGIN_PATHS_VIRTUAL_OPERATOR = 108;`

See Also:
  Constant Field Values

### COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE

public static final int COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR_VALUE
`COMPUTE_CONFIGURATIONS_VIRTUAL_OPERATOR = 109;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.Operator.OperatorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.Operator.OperatorType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.Operator.OperatorType valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.Operator.OperatorType forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.Operator.OperatorType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.Operator.OperatorType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null